echo off
echo ***   Now Making a PC-Write Work Disk   ***
if not %1x==x goto num
echo The WORKDISK command must be followed by a drive letter, or a drive letter
echo plus a directory name. For example, to make a working diskette in drive B,
echo insert a blank, formatted diskette in drive B and enter the command:
echo     workdisk b:
echo To make a working directory named PCW on drive C, enter the commands:
echo     mkdir c:\pcw
echo     workdisk c:\pcw\
goto fin
:num
if exist ed.exe goto program
echo This diskette is not the right one; probably it is the Utility diskette.
echo Insert the PC-Write Program diskette now, and press any key to continue.
pause
:program
echo 1. Copying edit program and print program.
copy ed.exe %1ed.exe
copy pr.exe %1pr.exe
echo 2. Copying help file and edit control file.
echo The Help file gives 45 help screens, but takes 50 KB on the diskette.
getyn Do you want this Help file ?  Press Y if unsure
if errorlevel 1 copy ed.hlp %1ed.hlp
copy ed.def %1ed.def
getyn Are you using a Tandy 1000 ?  Press N if unsure
if not errorlevel 1 goto more
copy ed.trs %1ed.def
echo The Tandy 1000 keyboard does not have all the standard keys, so you will need
echo to substitute some keys (such as Ctl-V for Scroll Lock).  Look at the file
echo ED.DEF, or the back of your PC-Write User's Guide, for a complete list.
:more
getyn Do you have a copy of the PC-Write utility diskette?
if errorlevel 1 goto getutil
echo Without the utility diskette, you can edit and print files, but you cannot
echo use any printer enhancements (such as underline) or use the spell checker.
getyn Do you have a color monitor?  Press N if unsure
if errorlevel 1 echo %%C >> %1ed.def
goto :ends
:getutil
echo ***
echo Please remove the "PROGRAM" diskette, and insert the "UTILITY" diskette.
pause 
if exist menuprt.exe goto utility
echo This diskette is not the right one; probably it is the Program diskette.
echo Insert the PC-Write Utility diskette now, and press any key to continue.
pause
:utility
if not exist %1menuprt.com goto new
getyn Your file MENUPRT.COM is obsolete; want to delete it? Y if unsure
if errorlevel 1 del %1menuprt.com
:new
echo 3. Creating a print control file.
getyn Do you have a laser printer?  Press N if unsure
if errorlevel 1 goto laser
menuprt %1pr.def
goto common
:laser
getyn Do you have an HP LaserJet Plus with Softfonts?
if errorlevel 1 copy hpdown.bat %1hpdown.bat
getyn Do you have any printer using Adobe PostScript?
if errorlevel 1 copy psdown.txt %1psdown.txt
menulaz %1pr.def
:common
copy print.tst %1print.tst
getyn Do you have a color monitor?  Press N if unsure
if errorlevel 1 echo %%C >> %1ed.def
if errorlevel 1 echo %%C >> %1pr.def
echo 4. Copying the master word list.
echo The master word list is a large (110 KB) file used to check spelling.
echo Your computer must have at least 320 KB to use this master word list.
getyn Do you want this word list ?  Press Y if unsure
if errorlevel 1 copy words.mas %1words.mas
:ends
echo ***   PC-Write Work Disk Is Now Ready   ***
echo If you have problems using your keyboard, ED.SPC (Program diskette) may help.
echo If you are using a mouse, see your User's Guide for the installation process.
:fin
